php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #51390 need PHP APC binaries for 5.2.13
Submitted: 2010-03-25 15:09 UTC Modified: 2010-03-26 08:40 UTC
From: t_wiedmann at t-online dot de Assigned: pajoye (profile)
Status: Not a bug Package: *Extensibility Functions
PHP Version: 5.2.13 OS: Windows XP
Private report: No CVE-ID: None
 [2010-03-25 15:09 UTC] t_wiedmann at t-online dot de
Description:
------------
Hi,

I need php_apc.dll binaries for PHP 5.2.13. On http://downloads.php.net/pierre/ the lastest version is 5.2.9.

Many thanks!

Thomas

Expected result:
----------------
php_apc.dll binaries for PHP 5.2.13


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-03-25 15:25 UTC] johannes@php.net
-Assigned To: +Assigned To: pajoye
 [2010-03-25 15:25 UTC] johannes@php.net
the 5.2.9 build should in theory work, pierre can you update anyways?
 [2010-03-25 15:28 UTC] pajoye@php.net
-Status: Assigned +Status: Bogus
 [2010-03-25 15:28 UTC] pajoye@php.net
There is no bug (and certainly not in php :). And yes, the 5.2 bins work for anything after 5.2.6.
 [2010-03-26 08:17 UTC] t_wiedmann at t-online dot de
but I get problems. 

I work with

* Apache apache_2.2.14-win32-x86-no_ssl.msi
* php-5.2.13-Win32
* Zend Framework

anything work well, but if I enable this APC dll (5.2.9) Apache STOPs and I get this in error.log:

[Fri Mar 26 08:05:14 2010] [apc-error] Cannot redeclare class zend_registry

Looks like a problem with Zend Framework, but without APC anything work well.

php.ini:

[APC]
apc.enabled=1
apc.shm_segments=1
apc.optimization=0
apc.shm_size=128
apc.ttl=7200
apc.user_ttl=7200
apc.num_files_hint=1024
apc.enable_cli=0
apc.rfc1867=1
apc.mmap_file_mask="c:/Programme/SVEN/apc-temp/apc.XXXXXX"

Bug or feature ?

Thanks for any help!

Thomas
 [2010-03-26 08:40 UTC] t_wiedmann at t-online dot de
some more informations:

I move my projekt to a new server (both Windows XP Server 2003)

old:
* apache_2.2.4-win32-x86-no_ssl.msi
* php-5.2.3-Win32
* php_apc.dll (Version 5.2.1.1)
* Zend Framework 1.5.2

Work well!

same code on the new server failed

* Apache apache_2.2.14-win32-x86-no_ssl.msi
* php-5.2.13-Win32
* php_apc.dll (Version 5.2.9)
* Zend Framework 1.5.2

Hope this helps 

Thanks!
Thomas
 [2010-04-08 17:48 UTC] azurtec at wanadoo dot fr
Hi, i have the same problem as Thomas (experienced just now).

It seems that php_apc.dll v5.2.9 doesn't work with php v5.2.13.

All works well on another server (i don't have the exact versions cause it's not accessible for now, but i installed it one year ago so php version was lesser), and same for the actual 5.3 versions...

Thanks by advance for your time.

Laurent.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun Aug 18 19:01:27 2019 UTC